# Fuss Manager web interface

## Browser compatibility

The minimum browser versions supported are the versions of Chrome and Firefox
as packaged in Debian 9:

* `chromium` `>=` `72.0.3626.96-1~deb9u1` (i386, amd64) 
* `firefox-esr` `>=` `60.5.1esr-1~deb9u1` (i386, amd64)


## Javascript frameworks used

For JavaScript libraries, Fuss Manager uses only what is packaged from Debian
Buster onwards.

A custom file handler (see `manager/web/static.py`) gives priority to packaged
versions, falling back on the fuss-manager static file directory when assets
are not found there.

For pre-Buster versions of Fuss Manager, missing JavaScript libraries can
either be backported, or bundled with Fuss Manager packages, as needed.

The idea is to target Debian Bullseye and Debian Buster+backports for offical
packaging, and make the package still installable, even if not fully policy
compliant, for earlier versions of Debian.
